数据提供商: OpenAlex
按机构、研究成果数量或被引用次数筛选研究人员
$0.0005 / 次调用在 25 秒内响应
按指定字段筛选 OpenAlex 作者:ORCID、机构 ROR、机构国家代码、主题 id,以及作品数或引用数的上下限。返回每位研究者的所属机构、成果总数、引用总数和主要主题。可以改用 group_by 来获取按国家、机构、主题或 ORCID 分类的计数结果。不支持针对自由文本名称的查询:如需进行此类查询,请使用研究人员搜索接口。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the OpenAlex endpoint /authors on Glasser.bash
glasser run -p openalex -e '/authors' -i '{"per_page":10,"institution_ror":"00f54p054","works_count_min":100}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"openalex","endpoint":"/authors","input":{"per_page":10,"institution_ror":"00f54p054","works_count_min":100},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
开始文献综述时,可以查找与研究问题相关的学术记录,决定接下来阅读哪些资料。
复制此提示词到你的 Agent,查找文献综述所需的记录。
提示词
Use openalex:/authors on Glasser.
Find returned academic records relevant to my literature-review question.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"page": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"sort": {
"enum": [
"works_count:desc",
"cited_by_count:desc",
"cited_by_count:asc"
],
"type": "string"
},
"orcid": {
"type": "string",
"pattern": "^(https:\\/\\/orcid\\.org\\/)?\\d{4}-\\d{4}-\\d{4}-\\d{3}[\\dX]$"
},
"cursor": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"group_by": {
"enum": [
"affiliations.institution.country_code",
"affiliations.institution.ror",
"topics.id",
"has_orcid"
],
"type": "string"
},
"per_page": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"topic_id": {
"type": "string",
"pattern": "^T\\d{4,8}$"
},
"country_code": {
"type": "string",
"pattern": "^[A-Za-z]{2}$"
},
"institution_ror": {
"type": "string",
"pattern": "^(https:\\/\\/ror\\.org\\/)?0[a-hj-km-np-tv-z0-9]{6}[0-9]{2}$"
},
"works_count_max": {
"type": "integer",
"maximum": 100000000,
"minimum": 0
},
"works_count_min": {
"type": "integer",
"maximum": 100000000,
"minimum": 0
},
"cited_by_count_max": {
"type": "integer",
"maximum": 100000000,
"minimum": 0
},
"cited_by_count_min": {
"type": "integer",
"maximum": 100000000,
"minimum": 0
}
},
"additionalProperties": false
}json
{
"per_page": 10,
"institution_ror": "00f54p054",
"works_count_min": 100
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 返回匹配数据时的价格。 | $0.0005 |
|---|---|---|
| 无匹配数据 | 数据提供商已响应,但没有匹配数据。 | $0.0002 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |